iterators.h File Reference
`#include <utl/core/impl.h>`
`#include <utl/concepts/defines.h>`
`#include <utl/concepts/stl.h>`

Go to the source code of this file.

## Namespaces

| utl
| STL's core language concepts.
| utl::detail

## Typedefs

template<typename I >
using | utl::detail::try_ppI = decltype(++(std::declval< I >()))
template<typename I >
using | utl::detail::try_Ipp = decltype(std::declval< I >()++)

## Variables

template<class I >
_utlConcept | utl::WeaklyIncrementable